>From 75704f4196e1dd7d92df58cb98aca803e6913e51 Mon Sep 17 00:00:00 2001
From: Wolfgang Walther <walther@technowledgy.de>
Date: Thu, 5 Nov 2020 15:45:34 +0100
Subject: [PATCH 1/2] doc: Add IS NOT NULL example and link to section 9.2 to
 4.2.13 Row Constructors

---
 doc/src/sgml/syntax.sgml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/syntax.sgml b/doc/src/sgml/syntax.sgml
index 3fdd87823e..8b5aa30ab4 100644
--- a/doc/src/sgml/syntax.sgml
+++ b/doc/src/sgml/syntax.sgml
@@ -2434,8 +2434,10 @@ SELECT getf1(CAST(ROW(11,'this is a test',2.5) AS myrowtype));
 SELECT ROW(1,2.5,'this is a test') = ROW(1, 3, 'not the same');
 
 SELECT ROW(table.*) IS NULL FROM table;  -- detect all-null rows
+
+SELECT ROW(table.*) IS NOT NULL FROM table; -- detect all-non-null rows
 </programlisting>
-   For more detail see <xref linkend="functions-comparisons"/>.
+   For more detail see <xref linkend="functions-comparisons"/> (comparison) and <xref linkend="functions-comparison"/> (<literal>IS [NOT] NULL</literal>).
    Row constructors can also be used in connection with subqueries,
    as discussed in <xref linkend="functions-subquery"/>.
   </para>
-- 
2.29.2

